% olympicsNew.m
% analyzes medals won by 7 countries in the 2018 winter olympics

% the three rows of the medals matrix store the total number of gold, 
% silver, and bronze medals won by the 7 countries

medals = [9 0 6 13 4 1 12; 5 5 5 11 3 0 7; 7 2 6 9 2 3 5];

% names and populations of the 7 countries

names = {'canada' 'china' 'us' 'norway' 'south korea' 'great britain' 'germany'};

pops = [36624200 1409517400 324459500 5233000 50982200 65640000 82114300];

totalMedals = sum(medals)        % total medals won by each country

% maximum total medals & index of country with most medals
[maxVal, maxInd] = max(totalMedals);   
disp('country with most total medals:') 
disp(names(maxInd))

% NOTE: if we write curly braces instead of parentheses when indexing a
% single element in a cell array (like names), we can read out the string
% and concatenate it with other strings in a disp statement, for example:

disp(['country with most total medals: ' names{maxInd}])

percap = totalMedals ./ pops        % per capita medals won by each country
% value & index of country with most per capita medals
[maxVal, maxInd] = max(percap);  
disp(['country with most per capita medals: ' names{maxInd}])  

% countries with more gold medals than silver and bronze medals combined
places = medals(3,:) > (medals(1,:) + medals(2,:));
disp('countries with more gold medals than silver and bronze combined:')
disp(names(places))

% countries with least number of bronze medals
disp('countries with the least number of bronze medals:')
disp(names(medals(3,:) == min(medals(3,:))))

% suppose there's a fourth category of medal made of pewter

pewterMedals = [2 4 1 3 5 1 2];

% how could you add pewterMedals to the medals matrix, as a fourth row?




